"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Environment = exports.TunnelOptions = void 0;
const tunnel = require('tunnel-ssh');
class TunnelOptions {
}
exports.TunnelOptions = TunnelOptions;
class Environment {
    static getAwsRegion() {
        return process.env.AWS_REGION || this.DEFAULT_REGION;
    }
    static getEnvironment() {
        return this.CURRENT_ENVIRONMENT;
    }
    static isLocal() {
        return !this.PRODUCTION.includes(this.CURRENT_ENVIRONMENT) && this.CURRENT_ENVIRONMENT !== this.DEVELOP;
    }
    static isDevelop() {
        return this.CURRENT_ENVIRONMENT === this.DEVELOP;
    }
    static isTest() {
        return this.CURRENT_ENVIRONMENT === this.TEST;
    }
    static isProduction() {
        return this.PRODUCTION.includes(this.CURRENT_ENVIRONMENT);
    }
    static async configureTunnel(sshTunnelConfig) {
        await new Promise(function (resolve, reject) {
            tunnel(sshTunnelConfig, (error, server) => {
                if (error) {
                    console.log('Error on tunnel configuration: ', error);
                    reject(error);
                }
                resolve(server);
            });
        });
    }
}
exports.Environment = Environment;
Environment.CURRENT_ENVIRONMENT = process.env.APIPASS_ENVIRONMENT;
Environment.PRODUCTION = ['prd', 'prod', 'nstech'];
Environment.DEVELOP = 'develop';
Environment.TEST = 'test';
Environment.DEFAULT_REGION = 'us-east-1';
//# sourceMappingURL=environment.js.map